<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=0" />
    <link rel="stylesheet" href="https://res.wx.qq.com/open/libs/weui/2.4.0/weui.min.css">
    <link href="/static/css/public/reset.css" rel="stylesheet" />
    <link href="/static/css/public/public.css" rel="stylesheet" />
    <script src="/static/js/public/reset.js"></script>
    <link href="/static/css/136485/main.css" rel="stylesheet" />
    <title>辽宁凤城酒业</title>
</head>

<body>
    <div class="page__bd">
        <div class="weui-tab">
            <div class="weui-tab__panel" id="p2">
                <div class="fwcx page">
                    <div class="bg"><img src=" "></div>
                    <div class="div1">
                        <div class="div2">
                            <img src="" id="labelImg" style="width: 45%;" />
                            <!-- 三维码 -->
                            <div class="p p-3">
                                <p>1、请用手触摸实物标签上的结构三维码是否有物理凹感！</p>
                                <p>
                                    2、请认真核对实物标签上的结构三维码、序号是否与上图一致！
                                </p>
                                <p>
                                    3、以上两点都相符则为真品，否则谨防假冒!
                                </p>
                            </div>
                            <!-- 箱标 -->
                            <div class="p p-2">
                                <p>1、请用手触摸实物标签上的真迹防伪文字是否有物理凹感！</p>
                                <p>
                                    2、请认真核对实物标签上的信息是否与上图一致！
                                </p>
                                <p>
                                    3、以上两点都相符则为真品，否则谨防假冒!
                                </p>
                            </div>
                            <hr style="margin-top: 1rem; margin-bottom: 1rem;">
                            <div class="info">
                                <p>标签序号：<span id="cpidSpan"></span></p>
                                <p>首查时间：<span id="firstTime"></span></p>
                                <p>已查次数：<span id="queryNum">0</span> 次</p>
                            </div>
                            <hr style="margin-top: 1rem; margin-bottom: 1rem;">
                            <div class="tips">
                                <div>
                                    <img src="/static/images/136485/forg-icon-genuine.png"
                                        style="width: 3rem;margin-right: .3rem;">
                                    <p style="flex: 1; color:rgb(27, 27, 27)">您所查询的是辽宁凤城酒业有限责任公司正牌产品标识！</p>
                                </div>
                            </div>
                            <div class="aidiv">
                                <p>
                                    您还可以点击下方按钮进行AI身份验证
                                </p>
                                <!-- <div id="ai" class="aibtn">AI匹配验证</div> -->
                                <wx-open-launch-weapp id="launch-btn" style="display: block;">
                                    <script type="text/wxtag-template">
                                        <style>
                                            .btn {
                                                border-radius: 7px;
                                                font-size: 15px;
                                                width: 52%;
                                                line-height: 3;
                                                margin: auto;
                                                background: #e62129;
                                                color: white;
                                                text-align: center;
                                            }
                                        </style>
                                        <div class="btn">AI匹配验证</div>
                                    </script>
                                </wx-open-launch-weapp>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="qyjs page">
                    <img src="/static/images/136485/g-1.jpg" class="padd" />
                    <div class="gsjs">
                        <p style="text-indent: 2em;">
                            辽宁凤城老窖酒业有限责任公司始建于1856年的“谦隆泉”酒坊。凤城老窖品牌的稳健发展得益于凤城地区得天独厚的气候条件、富含多种有益微量元素的优质水源、精选东北红高粱、秉承古法酿造工艺、酒海贮藏五大因素。先后获得中华老字号、国家地理标志保护产品、中华文化名酒、中国市场诚信品牌等诸多殊荣，凤城老窖传统酿造技艺是辽宁省省级非物质文化遗产。
                        </p>
                        <img src="/static/images/136485/g-2.jpg" style="padding-top: .7rem;" />
                        <img src="/static/images/136485/g-3.jpg" style="padding-top: .7rem;" />
                        <img src="/static/images/136485/g-4.jpg" style="padding-top: .7rem;" />
                        <img src="/static/images/136485/g-5.jpg" style="padding-top: .7rem;" />
                        <img src="/static/images/136485/g-6.jpg" style="padding-top: .7rem;" />
                        <div class="ewm">
                            <img src="/static/images/136485/ewm.jpg" />
                            <div class="wz">
                                <p style="flex: 1; color:rgb(229, 34, 40)">
                                    关注“辽宁凤城老窖酒业有限责任公司”公众号，更多精彩等着您！
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="cpjs page">
                    <div id="cp-1856">
                        <img src="/static/images/136485/40.8.jpg" style="width: 90%;">
                        <img src="/static/images/136485/53.jpg" style="width: 90%;margin: 1rem 0;">
                    </div>
                    <div id="cp-30">
                        <img src="/static/images/136485/30-1.jpg?v=1" style="width: 90%;">
                        <img src="/static/images/136485/30-2.jpg?v=1" style="width: 90%;margin: 1rem 0;">
                    </div>
                </div>
            </div>
            <div class="tabbar">
                <div class="weui-tabbar">
                    <div id="cx" class="weui-tabbar__item weui-bar__item_on">
                        <div class="weui-tabbar__icon">
                            <img src="/static/images/136485/but-forgery.png" />
                        </div>
                        <p class="weui-tabbar__label">防伪查询</p>
                    </div>
                    <div id="qy" class="weui-tabbar__item">
                        <div class="weui-tabbar__icon">
                            <img src="/static/images/136485/btn-business.png" />
                        </div>
                        <p class="weui-tabbar__label">公司介绍</p>
                    </div>
                    <div id="cp" class="weui-tabbar__item">
                        <div class="weui-tabbar__icon">
                            <img src="/static/images/136485/btn-product.png" />
                        </div>
                        <p class="weui-tabbar__label">产品介绍</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://res.wx.qq.com/open/libs/weuijs/1.2.1/weui.min.js"></script>
    <script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.6.0.js"></script>
    <script src="/static/js/jquery-2.1.0.min.js"></script>
    <script src="/static/js/public/public.js"></script>
    <script>

        tj_public.showLoading();
        // tj_public.hideLoading();
        var uid = tj_public.getCookie('TJWX_consumer_id');
        var label_code = tj_public.getCookie('label_code');
        var jmcpid = tj_public.getCookie('jmcpid');
        var label = jmcpid ? jmcpid : label_code;
        tj_public.wxInit({
            wx_officail_account_id: 6,
            url: window.location.href
        })

        var pk = tj_public.getCookie('package');
        if (pk === '3') {
            $(".p-3").hide();
            $(".p-2").show();
            $(".aidiv").hide();
        }

        $(function () {
            wx.ready(function () {
                if (uid) {
                    tj_public.getAddress(function (lat, lng) {
                        getInfo(lat, lng)
                    })
                    var uuid = tj_public.getUuid(8, 16);
                    tj_public.configLaunchWeappBtn({
                        el: 'launch-btn',
                        username: 'gh_4290b605146b',
                        extraData: {
                            cpid: label,
                            uid,
                            uuid,
                            os: 'davis'
                        },
                        onLaunch: function () {
                            tj_public.checkMiniprogramAIStatus(
                                {
                                    label_code: label,
                                    consumer_id: uid,
                                    uuid,
                                }, function (state) {
                                    if (state == 1) {
                                        access();
                                    }
                                })
                        }
                    })
                }
            })
            wx.error(function (res) {
                if (uid) {
                    getInfo(0, 0);
                }
            });

            let author = tj_public.getQueryString('access');
            if (author === '1') {
                access();
            }
            function access() {
                $('.aidiv').hide();
                $('.tips').show();
            }

            var uid = tj_public.getCookie('TJWX_consumer_id');
            var label_code = tj_public.getCookie('label_code');

            var cid = parseInt(label_code);
            if (cid >= 120502031391 && cid <= 120503437725) {
                $("#cp-30").hide();
            }
            else {
                $("#cp-1856").hide();
            }

            // getInfo(0, 0)
            function getInfo(lat, lng) {
                $.ajax({
                    url: '/wx/label/scan_record/',
                    data: { lat: lat, lng: lng, uid: uid, compid: 136485, fwcode: label_code, contents: 1 },
                    success: function (res) {
                        if (res.e === '') {
                            tj_public.hideLoading();
                            $("#labelImg").attr("src", res.img);
                            $("#cpidSpan").text(res.code);
                            if (res.bcode) {
                                $("#cpidSpan").text(res.bcode);
                            }
                            $("#queryNum").text(res.cnt);
                            if (res.tm_1st) {
                                $("#firstTime").text(res.tm_1st);
                            }
                            else {
                                var myDate = new Date();
                                $("#firstTime").text(myDate.toLocaleString());
                            }
                            var product_id = res.product_id;
                            if (product_id == 6684 || product_id == 6824) {//30年
                                $("#cp-1856").hide();
                            }
                            if (product_id == 6859 || product_id == 6860) {//凤城老窖（1856酒魂）
                                $("#cp-30").hide();
                            }

                        } else {
                            alert('网络超时！')
                        }
                    }, error: function () {
                        alert('网络超时！')
                    }
                })
            }

            $('.weui-tabbar__item').on('click', function () {
                $(this).addClass('weui-bar__item_on').siblings('.weui-bar__item_on').removeClass('weui-bar__item_on');
                $('.page').hide();
                document.body.scrollTop = document.documentElement.scrollTop = 0;
                $('.page').animate({ scrollTop: 0 });
            });
            $('#cx').on('click', function () {
                $('.fwcx').show();
            });
            $('#qy').on('click', function () {
                $('.qyjs').show();
            });
            $('#cp').on('click', function () {
                $('.cpjs').show();
            });
            // $('#ai').on('click', function () {
            //     window.location.href = 'https://tjfnew.china315net.com/tjswm/ai/route/route.ashx?compid=59641&cpid={{label_code}}';
            // });
        });
    </script>
</body>

</html>